Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.mappers
Class MapperUtil

    java.lang.Object
      org.jboss.soa.esb.listeners.config.mappers.MapperUtil

    public abstract class MapperUtil

extends java.lang.Object

Mapper utility methods.

Author:
  tom.fennelly@jboss.com

Constructor Summary
`MapperUtil()`

Method Summary
`protected static void` | `mapDefaultAttributes(Listener listener, org.w3c.dom.Element listenerNode, Generator.XMLBeansModel model)` Map all default listener attributes onto the target listener ConfigTree.
`protected static void` | `mapEPRProperties(Listener listener, org.w3c.dom.Element target, Generator.XMLBeansModel model)` Map all the properties targeted at the supplied listener onto the target element.
`static void` | `mapListenerServiceAttributes(org.w3c.dom.Element listenerNode, ServiceDocument.Service service, boolean isGateway)` Map the Service specific attributes onto the listener configuration.
`static void` | `mapProperties(java.util.List<PropertyDocument.Property> properties, org.w3c.dom.Element target)` Map all the supplied properties onto the target element.
`protected static void` | `serialize(org.apache.xmlbeans.XmlObject xmlObject, org.w3c.dom.Element toElement)` Serialise the supplied `XmlObject` instance to the supplied element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapperUtil

    public MapperUtil()

Method Detail

### mapDefaultAttributes

    protected static void mapDefaultAttributes(Listener listener,
                                               org.w3c.dom.Element listenerNode,
                                               Generator.XMLBeansModel model)

  Map all default listener attributes onto the target listener ConfigTree.

  Parameters:
    `listener` - The listener configuration instance.
    `listenerNode` - The target DOM ConfigTree listener element.
    `model` - The model.

### mapListenerServiceAttributes

    public static void mapListenerServiceAttributes(org.w3c.dom.Element listenerNode,
                                                    ServiceDocument.Service service,
                                                    boolean isGateway)

  Map the Service specific attributes onto the listener configuration.

  Parameters:
    `listenerNode` - The listener config node.
    `service` - The Service details (from the model).
    `isGateway` - True if the listener is a gateway, otherwise false.

### mapEPRProperties

    protected static void mapEPRProperties(Listener listener,
                                           org.w3c.dom.Element target,
                                           Generator.XMLBeansModel model)
                                    throws ConfigurationException

  Map all the properties targeted at the supplied listener onto the target element.

  This involves copying the properties from the associated bus and provider nodes.

  Parameters:
    `listener` - The listener config instance.
    `target` - The target DOM ConfigTree listener element.
    `model` - The model.
  Throws:
    `ConfigurationException` - Bad bis configuration.

### mapProperties

    public static void mapProperties(java.util.List<PropertyDocument.Property> properties,
                                     org.w3c.dom.Element target)

  Map all the supplied properties onto the target element.

  Parameters:
    `target` - The target DOM element.
    `properties` - The properties to be mapped.

### serialize

    protected static void serialize(org.apache.xmlbeans.XmlObject xmlObject,
                                    org.w3c.dom.Element toElement)

  Serialise the supplied `XmlObject` instance to the supplied element.

  Parameters:
    `xmlObject` - The XmlObject instance.
    `toElement` - The element to which the cursor is to be serialised.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD